Bug 1013296 - OOP while unmounting MTP device (Samsung Note) [NEEDINFO]
OOP while unmounting MTP device (Samsung Note)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 03:13 EDT by Andrey Motoshkov
Modified: 2014-03-10 10:38 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Andrey Motoshkov 2013-09-29 03:13:55 EDT
Description of problem:
OOP while unmounting MTP device (Samsung Note)

Version-Release number of selected component (if applicable):


How reproducible:
Problematic

Steps to Reproduce:
1. Using nautilus unmount button
2.
3.

Actual results:


Expected results:


Additional info:
Log + Trace:
Sep 29 10:01:31 dragonfly kernel: [ 5683.276159] usb 2-1.2: new high-speed USB device number 9 using ehci-pci
Sep 29 10:01:32 dragonfly kernel: [ 5683.362741] usb 2-1.2: New USB device found, idVendor=04e8, idProduct=6860
Sep 29 10:01:32 dragonfly kernel: [ 5683.362754] usb 2-1.2: New USB device strings: Mfr=2, Product=3, SerialNumber=4
Sep 29 10:01:32 dragonfly kernel: [ 5683.362761] usb 2-1.2: Product: SAMSUNG_Android
Sep 29 10:01:32 dragonfly kernel: [ 5683.362766] usb 2-1.2: Manufacturer: SAMSUNG
Sep 29 10:01:32 dragonfly kernel: [ 5683.362770] usb 2-1.2: SerialNumber: 4df1d6473b978faf
Sep 29 10:01:32 dragonfly kernel: [ 5683.364265] cdc_acm 2-1.2:1.1: This device cannot do calls on its own. It is not a modem.
Sep 29 10:01:32 dragonfly kernel: [ 5683.364315] cdc_acm 2-1.2:1.1: ttyACM0: USB ACM device
Sep 29 10:01:32 dragonfly colord: Device added: sysfs-SAMSUNG-SAMSUNG_Android
Sep 29 10:01:32 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:01:32 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:01:34 dragonfly gnome-session[1505]: (tracker-miner-fs:1826): Tracker-WARNING **: Could not find parent node for URI:'mtp://[usb:002,009]/'
Sep 29 10:01:34 dragonfly gnome-session[1505]: (tracker-miner-fs:1826): Tracker-WARNING **: NOTE: URI themes other than 'file://' are not supported currently.
Sep 29 10:01:34 dragonfly gnome-session[1505]: (tracker-miner-fs:1826): Tracker-WARNING **: Could not find parent node for URI:'mtp://[usb:002,009]/'
Sep 29 10:01:34 dragonfly gnome-session[1505]: (tracker-miner-fs:1826): Tracker-WARNING **: NOTE: URI themes other than 'file://' are not supported currently.
Sep 29 10:01:34 dragonfly gnome-session[1505]: (tracker-miner-fs:1826): Tracker-CRITICAL **: Could not set mount point in database 'urn:nepomuk:datasource:c98825a2a1de9aa04b24b0a4b37fbeda', GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: column nie:url is not unique (strerror of errno (not necessarily related): No such file or directory)
Sep 29 10:01:43 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:01:43 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:01:43 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:01:43 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:01:43 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:01:43 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:01:49 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:01:49 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:01:49 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:01:49 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:01:49 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:01:49 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:01 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:01 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:01 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:01 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:01 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:01 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:07 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:07 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:07 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:07 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:07 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:07 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:19 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:19 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:19 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:19 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:19 dragonfly modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:19 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) opening serial port...
Sep 29 10:02:25 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:25 dragonfly modem-manager[977]: <info>  (ttyACM0) closing serial port...
Sep 29 10:02:25 dragonfly modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:02:25 dragonfly dbus-daemon[532]: modem-manager[977]: <info>  (ttyACM0) serial port closed
Sep 29 10:03:02 dragonfly kernel: [ 5773.938632] ------------[ cut here ]------------
Sep 29 10:03:02 dragonfly kernel: [ 5773.938651] WARNING: CPU: 1 PID: 3746 at drivers/usb/host/ehci-hcd.c:1038 ehci_endpoint_reset+0x101/0x110()
Sep 29 10:03:02 dragonfly kernel: [ 5773.938652] clear_halt for a busy endpoint
Sep 29 10:03:02 dragonfly kernel: [ 5773.938653] Modules linked in: cdc_acm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE rfcomm ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables bnep arc4 iwldvm mac80211 snd_hda_codec_hdmi iTCO_wdt snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep iwlwifi x86_pkg_temp_thermal cfg80211 iTCO_vendor_support snd_seq tg3 coretemp kvm_intel kvm crc32_pclmul crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core ptp pps_core dell_laptop dell_wmi sparse_keymap ppdev btusb bluetooth mei_me mei snd_seq_device snd_pcm rfkill snd_page_alloc snd_timer dcdbas snd microcode uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev serio_raw i2c_i801 lpc_ich mfd_core wmi shpchp parport_pc soundcore parport media joydev mperf uinput binfmt_misc i915 firewire_ohci i2c_algo_bit drm_kms_helper firewire_core drm crc_itu_t i2c_core video
Sep 29 10:03:02 dragonfly kernel: [ 5773.938714] CPU: 1 PID: 3746 Comm: pool Not tainted 3.11.1-200.fc19.x86_64 #1
Sep 29 10:03:02 dragonfly kernel: [ 5773.938715] Hardware name: Dell Inc. Latitude E5520/03PH4G, BIOS A01 04/20/2011
Sep 29 10:03:02 dragonfly kernel: [ 5773.938717]  0000000000000009 ffff88000b09bd08 ffffffff816476af ffff88000b09bd50
Sep 29 10:03:02 dragonfly kernel: [ 5773.938720]  ffff88000b09bd40 ffffffff810670dd 0000000000000003 0000000000000083
Sep 29 10:03:02 dragonfly kernel: [ 5773.938722]  ffff88012817e800 ffff88012817ea84 0000000000000246 ffff88000b09bda0
Sep 29 10:03:02 dragonfly kernel: [ 5773.938724] Call Trace:
Sep 29 10:03:02 dragonfly kernel: [ 5773.938730]  [<ffffffff816476af>] dump_stack+0x45/0x56
Sep 29 10:03:02 dragonfly kernel: [ 5773.938734]  [<ffffffff810670dd>] warn_slowpath_common+0x7d/0xa0
Sep 29 10:03:02 dragonfly kernel: [ 5773.938737]  [<ffffffff8106714c>] warn_slowpath_fmt+0x4c/0x50
Sep 29 10:03:02 dragonfly kernel: [ 5773.938740]  [<ffffffff81485c81>] ehci_endpoint_reset+0x101/0x110
Sep 29 10:03:02 dragonfly kernel: [ 5773.938743]  [<ffffffff8146cc95>] usb_hcd_reset_endpoint+0x25/0x70
Sep 29 10:03:02 dragonfly kernel: [ 5773.938745]  [<ffffffff8146ebf8>] usb_reset_endpoint+0x28/0x40
Sep 29 10:03:02 dragonfly kernel: [ 5773.938747]  [<ffffffff8146ec7e>] usb_clear_halt+0x6e/0x80
Sep 29 10:03:02 dragonfly kernel: [ 5773.938750]  [<ffffffff81479d3f>] usbdev_do_ioctl+0xbbf/0x1060
Sep 29 10:03:02 dragonfly kernel: [ 5773.938752]  [<ffffffff8147a20e>] usbdev_ioctl+0xe/0x20
Sep 29 10:03:02 dragonfly kernel: [ 5773.938756]  [<ffffffff811b9d2d>] do_vfs_ioctl+0x2dd/0x4b0
Sep 29 10:03:02 dragonfly kernel: [ 5773.938759]  [<ffffffff811b9f81>] SyS_ioctl+0x81/0xa0
Sep 29 10:03:02 dragonfly kernel: [ 5773.938763]  [<ffffffff81656859>] system_call_fastpath+0x16/0x1b
Sep 29 10:03:02 dragonfly kernel: [ 5773.938764] ---[ end trace b9e6bcd3d0f2c31b ]---
Sep 29 10:03:02 dragonfly kernel: [ 5773.941322] usb 2-1.2: usbfs: process 3671 (events) did not claim interface 0 before use
Comment 1 Justin M. Forbes 2014-01-03 17:03:24 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-10 10:38:47 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.